Bug 76676 - cvs2svn requires py-gdbm, dependency not declared
Summary: cvs2svn requires py-gdbm, dependency not declared
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-01-25 19:40 UTC by Toby Peterson
Modified: 2005-02-01 16:55 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Toby Peterson 2005-01-25 19:40:21 UTC
cvs2svn will not work without py-gdbm, but the dependency is not declared.

Fix: 

Add py-gdbm to cvs2svn's list of dependencies.
How-To-Repeat: Install python, but not py-gdbm. Install cvs2svn and try to use it.
Comment 1 Volker Stolz freebsd_committer 2005-01-26 16:45:19 UTC
Dear maintainer, please look into this issue!

Volker
Comment 2 Volker Stolz freebsd_committer 2005-01-26 16:45:28 UTC
State Changed
From-To: open->feedback

Forwarded PR to maintainer. Please try to contact hte maintainer before submitting a PR.
Comment 3 June-Yen Huang 2005-02-01 16:20:01 UTC
Dear Volker,

Thank your feedback,
the patch attached.

JI

Volker Stolz wrote:

> Dear maintainer, please look into this issue!
>
> Volker



--- Makefile    (revision 689)
+++ Makefile    (revision 690)
@@ -2,7 +2,7 @@
 # Date created:                1 May 2004
 # Whom:                        Hye-Shik Chang
 #
# $FreeBSD: ports/devel/cvs2svn/Makefile,v 1.3 2004/10/26 09:09:05 
clsung Exp $

 PORTNAME=      cvs2svn
 PORTVERSION=   1.1.0
@@ -12,7 +12,8 @@
 MAINTAINER=    jihuang@gate.sinica.edu.tw
 COMMENT=       CVS to Subversion Repository Converter

-RUN_DEPENDS=   svn:${PORTSDIR}/devel/subversion
+RUN_DEPENDS=   svn:${PORTSDIR}/devel/subversion \
+               ${PYTHON_SITELIBDIR}/gdbm.so:${PORTSDIR}/databases/py-gdbm

 USE_PYTHON=    2.3+
 USE_PYDISTUTILS=       yes
Comment 4 Volker Stolz freebsd_committer 2005-02-01 16:55:41 UTC
State Changed
From-To: feedback->closed

Fixed, thanks!